Subject: linux-next: build failure after merge of the kbuild tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 11 Sep 2024 10:18:10 +1000

Hi all,

After merging the kbuild tree, today's linux-next build (x86_64
allmodconfig) failed like this:

make[3]: *** Deleting file 'modules.builtin.ranges'
/bin/sh: 1: scripts/generate_builtin_ranges.awk: not found
make[3]: *** [scripts/Makefile.vmlinux:47: modules.builtin.ranges] Error 127
make[2]: *** [Makefile:1157: vmlinux] Error 2
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [Makefile:224: __sub-make] Error 2
make: *** [Makefile:224: __sub-make] Error 2
Command exited with non-zero status 2

Caused by commit

  04b15cdd611a ("kbuild: generate offset range data for builtin modules")

I do not have gawk installed - I do have mawk installed (as awk).  Does
this script actually need gawk, or will just plain awk suffice?

I have installed gawk.

-- 
Cheers,
Stephen Rothwell